Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1088813 - spacewalk-remove-channel --justdb option has no impact on kickstart trees.
Summary: spacewalk-remove-channel --justdb option has no impact on kickstart trees.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 2.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Stephen Herr
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: sat560-triage space22
TreeView+ depends on / blocked
 
Reported: 2014-04-17 08:51 UTC by Dimitar Yordanov
Modified: 2014-07-17 08:40 UTC (History)
0 users

Fixed In Version: spacewalk-backend-2.2.21-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-17 08:40:50 UTC


Attachments (Terms of Use)

Description Dimitar Yordanov 2014-04-17 08:51:48 UTC
Description of problem:
spacewalk-remove-channel --justdb option has no impact on kickstarts trees.

Version-Release number of selected component (if applicable):
spacewalk-backend-2.1.55-1

How reproducible:
100%

Steps to Reproduce:
1.nohup satellite-sync -c  rhel-x86_64-server-6 --no-errata -no-packages &
2.spacewalk-remove-channel --justdb

Actual results:
The kickstart trees are removed from the file system.

Expected results:
The kickstart trees are removed only from the DB but not from the file system.

Additional info:

    if not skip_kickstart_trees: 
        _delete_ks_files(channelLabels)

Comment 1 Stephen Herr 2014-04-23 20:36:47 UTC
Pull request: https://github.com/spacewalkproject/spacewalk/pull/42

Committing to Spacewalk master:
fd2b6e0e1020cca8074ff803bb157cf8084523db

Comment 2 Milan Zázrivec 2014-07-17 08:40:50 UTC
Spacewalk 2.2 has been released:

    https://fedorahosted.org/spacewalk/wiki/ReleaseNotes22


Note You need to log in before you can comment on or make changes to this bug.